<form name="form" (ngSubmit)="f.form.valid && login()" #f="ngForm" novalidate>
  <div [ngClass]="{ 'has-error': f.submitted && !username.valid }">
    <label for="username">Username</label>
    <input type="text"
           name="username" [(ngModel)]="user.email"
           #username="ngModel" id="username" required />
    <div *ngIf="f.submitted
          && !username.valid">Username is required</div>
  </div>
  <div [ngClass]="{ 'has-error': f.submitted && !password.valid }">
    <label for="password">Password</label>
    <input type="password"
           name="password" [(ngModel)]="user.password"
           #password="ngModel" id="password" required />
    <div *ngIf="f.submitted
          && !password.valid">Password is required</div>
  </div>
  <div>
    <button type="submit">Login</button>
  </div>
</form>
